module DIT3::Api::Wrappers
    class Tenants
        def initialize client
            @client = client
        end

        def create name
            @client.post("/tenants", {'name' => name})
        end

        def get name
            begin
                @client.get("/tenants/#{name}")
            rescue DIT3::Api::ApiError
                nil
            end
        end

        def exists? name
            !get(name).nil?
        end
    end
end
